class SVG
  class Plot
    def scatter(
      xraw, yraw, 
      minx: @minx, maxx:  @maxx, miny: @miny, maxy: @maxy,
      label: nil, 
      color:  nil, 
      marker:  nil, 
      opacity:  nil,
      xlog: false, ylog: false,**args)
     
      self.set_plot_style(label,color,marker,"",opacity)
      points = self.map_and_zip(xraw,yraw,minx,maxx,miny,maxy,xlog,ylog)
 
      @svg.g(id: @labels.last, stroke: "none",fill: @colors.last,opacity: @opacities.last) do |g|
        points.each_with_index do |(x,y),i|
          self.marker(@markers.last,x,y,"%g" % yraw[i])
        end 
      end 
    
    end 

  end
end 
