class SVG
  class Transform
    def initialize(io)
      @io = io
    end 

    def translate(x,y)
      @io.print %(translate(#{x} #{y}) )
      self
    end 

    def rotate(d,x=nil,y=nil)
      @io.print %(rotate(#{d} #{x} #{y}) )
      self
    end 

    def scale(x,y=nil)
      @io.print %(scale(#{x} #{y}) )
      self
    end 

    def skewx(a)
      @io.print %(skewX(#{a}) )
      self
    end 
    
    def skewy(a)
      @io.print %(skewY(#{a}) )
      self
    end 

    def matrix(a,b,c,d,e,f)
      @io.print %(matrix(#{a} #{b} #{c} #{d} #{e} #{f}) )
      self
    end 
  end 

    def self.transform
      io = StringIO.new 
      yield Transform.new(io)
      return io.string
    end
end 
